%if 0%{?fedora}
%global with_python3 1
%endif

%global srcname pecan-notario

Name:           python-%{srcname}
Version:        0.0.3
Release:        5%{?dist}
Summary:        JSON validation for Pecan with Notario
License:        BSD
URL:            https://github.com/alfredodeza/pecan-notario
Source0:        https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  pytest
BuildRequires:  python-notario
BuildRequires:  python-pecan

Requires:       python-notario
Requires:       python-pecan

%description
Notario is flexible and succinct Python dictionary validator with the ability
to validate against both keys and values. Schemas are smaller and readable
representations of data being validated.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
export PYTHONPATH=$(pwd)

py.test-%{python2_version} -v pecan_notario/tests

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/*

%changelog
* Thu Apr 14 2016 Ken Dreyer <kdreyer@redhat.com> - 0.0.3-5
- Require python-pecan and python-notario

* Tue Mar 15 2016 Ken Dreyer <kdreyer@redhat.com> - 0.0.3-4
- Remove python2- subpackage (for el7)

* Tue Mar 15 2016 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.0.3-3
- correct license tag (rhbz#1315816)

* Tue Mar 15 2016 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.0.3-2
- use %%global instead of %%define (rhbz#1315816)

* Mon Mar 07 2016 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.0.3-1
- Initial package
